%define oversion 20.04.3

Summary:        KBlog - a blogging library for KDE
Name:           kblog
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{oversion}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel

BuildRequires:  kf5-macros
BuildRequires:  kdelibs4support-devel
BuildRequires:  kio-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kxmlrpcclient-devel 
BuildRequires:  syndication-devel
BuildRequires:  kcalcore-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KBlog - a blogging library for KDE

%files
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/kblog.categories
%_kf5_datadir/qlogging-categories5/kblog.renamecategories
#--------------------------------------------------------------------

%define kblog_major 5
%define libkblog %mklibname kf5blog %{kblog_major}

%package -n %libkblog
Summary:      KBlog - a blogging library for KDE
Group:        System/Libraries
Requires:   %name

%description -n %libkblog
KBlog - a blogging library for KDE

%files -n %libkblog
%_kf5_libdir/libKF5Blog.so.%{kblog_major}*

#--------------------------------------------------------------------

%define kblog_devel %mklibname kblog -d

%package -n %kblog_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkblog = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kblog_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kblog_devel
%_kf5_includedir/KBlog
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Blog
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -qn %{name}-%{oversion}

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

##sd "5.12.3" "5.12.2" CMakeLists.txt
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

